<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
<!--Some information has been retained from the existing file!-->
	<out:import href="demo_skin.xsl" />
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">ContactDetails</out:template>
	<out:template name="page_meta_tags">
<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template name="css_imports">
		<link href="css/demo.css" rel="stylesheet" type="text/css" xmlns="" />
	</out:template>
	<out:template name="page_scripts" />
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" >		<xform:instance xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<contact xmlns="">
						<record>
							<CID />
							<Title />
							<LastName />
							<FirstName />
							<HouseNo />
							<Street />
							<Area />
							<City />
							<County />
							<Postcode />
							<Country />
							<EMail />
							<PhoneOffice />
							<PhoneMobile />
							<PhoneHome />
							<Fax />
						</record>
					</contact>
				</Data>
			</eForm>
		</xform:instance>
		<div class="form" xmlns="">
			<form action="process.do" method="post" name="ContactDetails">
				<out:if test="/mvc:eForm/mvc:Control/mvc:Language != ''">
					<input name="Language" type="hidden" value="{/mvc:eForm/mvc:Control/mvc:Language}" />
				</out:if>
				<input name="is_script_enabled" type="hidden" value="false" />
				<script type="text/javascript">
					<out:text>document.ContactDetails</out:text>
					<out:text>.is_script_enabled.value = 'true';</out:text>
				</script>
				<div id="contact_group">
					<div class="groupLabelBackground" id="contact_group_label_container">
						<h2 class="label" id="contact_group_label">Contact details</h2>
					</div>
					<div id="record_group">
						<div class="formElement">
							<span class="labelBackground" id="CID_label_container">
								<label class="label" for="CID" id="CID_label">CID<span class="mandatory" id="CID_marker" style="" title="Mandatory field marker"> * </span>
								</label>
							</span>
							<span class="defaultBackground" id="CID_container">
								<input class="textbox" id="CID" name="CID" type="text" value="{/mvc:eForm/mvc:Data/contact/record/CID}" />
								<input name="CID_xpath" type="hidden" value="/mvc:eForm/mvc:Data/contact/record/CID" />
								<span id="CID_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="Title_label_container">
								<label class="label" for="Title" id="Title_label">Title</label>
							</span>
							<span class="defaultBackground" id="Title_container">
								<input class="textbox" id="Title" maxLength="20" name="Title" size="20" type="text" value="{/mvc:eForm/mvc:Data/contact/record/Title}" />
								<input name="Title_xpath" type="hidden" value="/mvc:eForm/mvc:Data/contact/record/Title" />
								<span id="Title_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="LastName_label_container">
								<label class="label" for="LastName" id="LastName_label">Last Name</label>
							</span>
							<span class="defaultBackground" id="LastName_container">
								<input class="textbox" id="LastName" maxLength="20" name="LastName" size="20" type="text" value="{/mvc:eForm/mvc:Data/contact/record/LastName}" />
								<input name="LastName_xpath" type="hidden" value="/mvc:eForm/mvc:Data/contact/record/LastName" />
								<span id="LastName_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="FirstName_label_container">
								<label class="label" for="FirstName" id="FirstName_label">First Name</label>
							</span>
							<span class="defaultBackground" id="FirstName_container">
								<input class="textbox" id="FirstName" maxLength="20" name="FirstName" size="20" type="text" value="{/mvc:eForm/mvc:Data/contact/record/FirstName}" />
								<input name="FirstName_xpath" type="hidden" value="/mvc:eForm/mvc:Data/contact/record/FirstName" />
								<span id="FirstName_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="HouseNo_label_container">
								<label class="label" for="HouseNo" id="HouseNo_label">House No</label>
							</span>
							<span class="defaultBackground" id="HouseNo_container">
								<input class="textbox" id="HouseNo" name="HouseNo" type="text" value="{/mvc:eForm/mvc:Data/contact/record/HouseNo}" />
								<input name="HouseNo_xpath" type="hidden" value="/mvc:eForm/mvc:Data/contact/record/HouseNo" />
								<span id="HouseNo_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="Street_label_container">
								<label class="label" for="Street" id="Street_label">Street</label>
							</span>
							<span class="defaultBackground" id="Street_container">
								<input class="textbox" id="Street" maxLength="40" name="Street" size="40" type="text" value="{/mvc:eForm/mvc:Data/contact/record/Street}" />
								<input name="Street_xpath" type="hidden" value="/mvc:eForm/mvc:Data/contact/record/Street" />
								<span id="Street_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="Area_label_container">
								<label class="label" for="Area" id="Area_label">Area</label>
							</span>
							<span class="defaultBackground" id="Area_container">
								<input class="textbox" id="Area" maxLength="40" name="Area" size="40" type="text" value="{/mvc:eForm/mvc:Data/contact/record/Area}" />
								<input name="Area_xpath" type="hidden" value="/mvc:eForm/mvc:Data/contact/record/Area" />
								<span id="Area_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="City_label_container">
								<label class="label" for="City" id="City_label">City</label>
							</span>
							<span class="defaultBackground" id="City_container">
								<input class="textbox" id="City" maxLength="40" name="City" size="40" type="text" value="{/mvc:eForm/mvc:Data/contact/record/City}" />
								<input name="City_xpath" type="hidden" value="/mvc:eForm/mvc:Data/contact/record/City" />
								<span id="City_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="County_label_container">
								<label class="label" for="County" id="County_label">County</label>
							</span>
							<span class="defaultBackground" id="County_container">
								<input class="textbox" id="County" maxLength="40" name="County" size="40" type="text" value="{/mvc:eForm/mvc:Data/contact/record/County}" />
								<input name="County_xpath" type="hidden" value="/mvc:eForm/mvc:Data/contact/record/County" />
								<span id="County_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="Postcode_label_container">
								<label class="label" for="Postcode" id="Postcode_label">Postcode</label>
							</span>
							<span class="defaultBackground" id="Postcode_container">
								<input class="textbox" id="Postcode" maxLength="10" name="Postcode" size="10" type="text" value="{/mvc:eForm/mvc:Data/contact/record/Postcode}" />
								<input name="Postcode_xpath" type="hidden" value="/mvc:eForm/mvc:Data/contact/record/Postcode" />
								<span id="Postcode_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="Country_label_container">
								<label class="label" for="Country" id="Country_label">Country</label>
							</span>
							<span class="defaultBackground" id="Country_container">
								<input class="textbox" id="Country" maxLength="40" name="Country" size="40" type="text" value="{/mvc:eForm/mvc:Data/contact/record/Country}" />
								<input name="Country_xpath" type="hidden" value="/mvc:eForm/mvc:Data/contact/record/Country" />
								<span id="Country_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="EMail_label_container">
								<label class="label" for="EMail" id="EMail_label">EMail</label>
							</span>
							<span class="defaultBackground" id="EMail_container">
								<input class="textbox" id="EMail" maxLength="40" name="EMail" size="40" type="text" value="{/mvc:eForm/mvc:Data/contact/record/EMail}" />
								<input name="EMail_xpath" type="hidden" value="/mvc:eForm/mvc:Data/contact/record/EMail" />
								<span id="EMail_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="PhoneOffice_label_container">
								<label class="label" for="PhoneOffice" id="PhoneOffice_label">Phone Office</label>
							</span>
							<span class="defaultBackground" id="PhoneOffice_container">
								<input class="textbox" id="PhoneOffice" maxLength="14" name="PhoneOffice" size="14" type="text" value="{/mvc:eForm/mvc:Data/contact/record/PhoneOffice}" />
								<input name="PhoneOffice_xpath" type="hidden" value="/mvc:eForm/mvc:Data/contact/record/PhoneOffice" />
								<span id="PhoneOffice_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="PhoneMobile_label_container">
								<label class="label" for="PhoneMobile" id="PhoneMobile_label">Phone Mobile</label>
							</span>
							<span class="defaultBackground" id="PhoneMobile_container">
								<input class="textbox" id="PhoneMobile" maxLength="14" name="PhoneMobile" size="14" type="text" value="{/mvc:eForm/mvc:Data/contact/record/PhoneMobile}" />
								<input name="PhoneMobile_xpath" type="hidden" value="/mvc:eForm/mvc:Data/contact/record/PhoneMobile" />
								<span id="PhoneMobile_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="PhoneHome_label_container">
								<label class="label" for="PhoneHome" id="PhoneHome_label">Phone Home</label>
							</span>
							<span class="defaultBackground" id="PhoneHome_container">
								<input class="textbox" id="PhoneHome" maxLength="14" name="PhoneHome" size="14" type="text" value="{/mvc:eForm/mvc:Data/contact/record/PhoneHome}" />
								<input name="PhoneHome_xpath" type="hidden" value="/mvc:eForm/mvc:Data/contact/record/PhoneHome" />
								<span id="PhoneHome_message_container"></span>
							</span>
						</div>
						<div class="formElement">
							<span class="labelBackground" id="Fax_label_container">
								<label class="label" for="Fax" id="Fax_label">Fax</label>
							</span>
							<span class="defaultBackground" id="Fax_container">
								<input class="textbox" id="Fax" maxLength="14" name="Fax" size="14" type="text" value="{/mvc:eForm/mvc:Data/contact/record/Fax}" />
								<input name="Fax_xpath" type="hidden" value="/mvc:eForm/mvc:Data/contact/record/Fax" />
								<span id="Fax_message_container"></span>
							</span>
						</div>
					</div>
				</div>
				<div class="formElement">
					<span class="defaultBackground" id="updateContact_container">
						<input id="updateContact_submit_button" name="xgate_action_updateContact" type="submit" value="Update Contact" />
						<span id="updateContact_temp_container" style="display:none; visibility:hidden;">
							<input class="button" id="updateContact" name="updateContact" onclick="return updateContactonclick(event);" type="button" value="Update Contact" />
						</span>
						<script type="text/javascript">
							<out:text disable-output-escaping="yes">document.getElementById('</out:text>
							<out:text disable-output-escaping="yes">updateContact_submit_button').parentNode.innerHTML=document.getElementById('</out:text>
							<out:text disable-output-escaping="yes">updateContact_temp_container').innerHTML;</out:text>
						</script>
					</span>
				</div>
			</form>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
			<out:text disable-output-escaping="yes">

            /*
             * Do NOT edit or add to the following script.
             * It will be recreated each time the page is regenerated!
             * Instead use the Application Map screen to add an external
             * script file to your page, and place your code in there.
             */

            hyf.validation.config =
            {
                form: document.ContactDetails,
                errorDisplayMethod: 'tooltip',
                errorDisplayMessageClass: 'errorIcon',
                errorDisplayShowMessage: true,
                errorDisplayShowAlerts: false,
                errorDisplayValidationMode: 'all'
            }
        			</out:text>
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc"><xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
            function updateContactonclick(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if (sourceComponent.nodeType == 3) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'updateContact', field: document.getElementById('updateContact')};

                return dojo.hitch(objEventSource.field, function(){
                        var objAction = {name: 'Action', option: 'Action', value: 'updateContact'};
                        var objValidate = {name: 'Validate', option: 'Static', value: 'false'};
                        hyf.FMAction.handleFormSubmission(objAction, objValidate, objEventSource);
                    })();
            }
            </xsl:text>			<out:text>
            field = document.getElementById('</out:text>
			<out:text>CID</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','true');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>Title</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','20');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>LastName</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','20');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>FirstName</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','20');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>HouseNo</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>Street</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','40');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>Area</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','40');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>City</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','40');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>County</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','40');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>Postcode</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','10');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>Country</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','40');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>EMail</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','40');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>PhoneOffice</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','14');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>PhoneMobile</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','14');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>PhoneHome</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','14');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>Fax</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','14');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
</xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
