<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
<!--Some information has been retained from the existing file!-->
	<out:import href="demo_skin.xsl" />
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">Contacts</out:template>
	<out:template name="page_meta_tags">
<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template name="css_imports">
		<link href="css/demo.css" rel="stylesheet" type="text/css" xmlns="" />
	</out:template>
	<out:template name="page_scripts" />
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" >		<xform:instance xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<formData>
						<record_repeat />
						<selectedId />
					</formData>
				</Data>
			</eForm>
		</xform:instance>
		<div class="form" xmlns="">
			<form action="process.do" method="post" name="Contacts">
				<out:if test="/mvc:eForm/mvc:Control/mvc:Language != ''">
					<input name="Language" type="hidden" value="{/mvc:eForm/mvc:Control/mvc:Language}" />
				</out:if>
				<input name="is_script_enabled" type="hidden" value="false" />
				<script type="text/javascript">
					<out:text>document.Contacts</out:text>
					<out:text>.is_script_enabled.value = 'true';</out:text>
				</script>
				<div id="contact_group">
					<div class="groupLabelBackground" id="contact_group_label_container">
						<h2 class="label" id="contact_group_label">Contact details</h2>
					</div>
					<table border="0" cellpadding="0" cellspacing="0" class="repeat" id="record_repeat" summary="">
						<thead>
							<tr id="record_group_headings">
								<th class="labelBackground" id="CID_label_container" scope="col">
									<span class="label" id="CID_label">CID</span>
								</th>
								<th class="labelBackground" id="Title_label_container" scope="col">
									<span class="label" id="Title_label">Title</span>
								</th>
								<th class="labelBackground" id="LastName_label_container" scope="col">
									<span class="label" id="LastName_label">Last Name</span>
								</th>
								<th class="labelBackground" id="FirstName_label_container" scope="col">
									<span class="label" id="FirstName_label">First Name</span>
								</th>
								<th class="labelBackground" id="details_label_container" scope="col" />
							</tr>
						</thead>
						<tbody id="record_repeat_body">
							<out:for-each select="/mvc:eForm/mvc:Data/contact/record">
								<out:variable name="record_repeatLoopEntry" select="." />
								<out:variable name="record_repeatLoopCount">
									<out:text>record_repeat</out:text>
									<out:value-of select="position()" />
								</out:variable>
								<out:variable name="record_repeat-repeat-position-number">
									<out:value-of select="position()" />
								</out:variable>
								<tr id="{$record_repeatLoopCount}record_group">
									<td class="defaultBackground" id="{$record_repeatLoopCount}CID_container">
										<span class="textbox" id="{$record_repeatLoopCount}CID">
											<out:choose>
												<out:when test="not(CID) or (CID = '')">
													<out:text disable-output-escaping="yes">&amp;#160;</out:text>
												</out:when>
												<out:otherwise>
													<out:value-of select="CID" />
												</out:otherwise>
											</out:choose>
										</span>
									</td>
									<td class="defaultBackground" id="{$record_repeatLoopCount}Title_container">
										<span class="textbox" id="{$record_repeatLoopCount}Title">
											<out:choose>
												<out:when test="not(Title) or (Title = '')">
													<out:text disable-output-escaping="yes">&amp;#160;</out:text>
												</out:when>
												<out:otherwise>
													<out:value-of select="Title" />
												</out:otherwise>
											</out:choose>
										</span>
									</td>
									<td class="defaultBackground" id="{$record_repeatLoopCount}LastName_container">
										<span class="textbox" id="{$record_repeatLoopCount}LastName">
											<out:choose>
												<out:when test="not(LastName) or (LastName = '')">
													<out:text disable-output-escaping="yes">&amp;#160;</out:text>
												</out:when>
												<out:otherwise>
													<out:value-of select="LastName" />
												</out:otherwise>
											</out:choose>
										</span>
									</td>
									<td class="defaultBackground" id="{$record_repeatLoopCount}FirstName_container">
										<span class="textbox" id="{$record_repeatLoopCount}FirstName">
											<out:choose>
												<out:when test="not(FirstName) or (FirstName = '')">
													<out:text disable-output-escaping="yes">&amp;#160;</out:text>
												</out:when>
												<out:otherwise>
													<out:value-of select="FirstName" />
												</out:otherwise>
											</out:choose>
										</span>
									</td>
									<td class="defaultBackground" id="{$record_repeatLoopCount}details_container">
										<input id="{$record_repeatLoopCount}details_submit_button" name="xgate_action_getContactDetails" type="submit" value="Details" />
										<span id="{$record_repeatLoopCount}details_temp_container" style="display:none; visibility:hidden;">
											<input class="button" id="{$record_repeatLoopCount}details" name="{$record_repeatLoopCount}details" onclick="return detailsonclick(event, '{$record_repeatLoopCount}');" type="button" value="Details" />
										</span>
										<script type="text/javascript">
											<out:text disable-output-escaping="yes">document.getElementById('</out:text>
											<out:value-of select="$record_repeatLoopCount" />
											<out:text disable-output-escaping="yes">details_submit_button').parentNode.innerHTML=document.getElementById('</out:text>
											<out:value-of select="$record_repeatLoopCount" />
											<out:text disable-output-escaping="yes">details_temp_container').innerHTML;</out:text>
										</script>
									</td>
								</tr>
							</out:for-each>
							<out:if test="not(/mvc:eForm/mvc:Data/contact/record)">
								<tr>
									<td class="noRepeatData" colspan="5" id="record_repeat_empty">No Data Found</td>
								</tr>
							</out:if>
						</tbody>
					</table>
				</div>
				<div class="formElement">
					<span class="hide" id="selectedId_container">
						<input class="hide" id="selectedId" name="selectedId" type="hidden" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:selectedId}" />
						<input name="selectedId_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:selectedId" />
					</span>
				</div>
			</form>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
			<out:text disable-output-escaping="yes">

            /*
             * Do NOT edit or add to the following script.
             * It will be recreated each time the page is regenerated!
             * Instead use the Application Map screen to add an external
             * script file to your page, and place your code in there.
             */

            hyf.validation.config =
            {
                form: document.Contacts,
                errorDisplayMethod: 'tooltip',
                errorDisplayMessageClass: 'errorIcon',
                errorDisplayShowMessage: true,
                errorDisplayShowAlerts: false,
                errorDisplayValidationMode: 'all'
            }
        			</out:text>
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc"><xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
            function detailsonclick(e, repeatId)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if (sourceComponent.nodeType == 3) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'details', repeatId: repeatId, field: document.getElementById(repeatId + 'details')};

                return dojo.hitch(objEventSource.field, function(){
                        var objTargetToSet = {name: 'TargetToSet', option: 'PageField', value: 'selectedId'};
                        var objValueToAssign = {name: 'ValueToAssign', option: 'PageField', value: 'CID', repeatId: repeatId};
                        hyf.FMAction.handleSetValue(objTargetToSet, objValueToAssign, objEventSource);
                        var objAction = {name: 'Action', option: 'Action', value: 'getContactDetails'};
                        var objValidate = {name: 'Validate', option: 'Static', value: 'false'};
                        hyf.FMAction.handleFormSubmission(objAction, objValidate, objEventSource);
                    })();
            }
            </xsl:text>			<out:for-each select="/mvc:eForm/mvc:Data/contact/record">
				<out:variable name="record_repeatLoopEntry" select="." />
				<out:variable name="record_repeatLoopCount">
					<out:text>record_repeat</out:text>
					<out:value-of select="position()" />
				</out:variable>
			</out:for-each>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>selectedId</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_validate', 'false');</out:text>
</xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
